<!-- ABOUT THE PROJECT -->
## About The Project

Solves the Tolman-Oppenheimer-Volkoff equation for a spherically symmetric compact object.

### Inlcudes
1. Routine to check a valid equation of state input
2. Return the mass, density, and tidal deformability
3. [Jupyter notebook](https://github.com/ChunHuangPhy/EoS_inference/blob/main/TOVsolver/tests_script.py) on the github
5. Test cases and documentation


## Installation

_Below are commands to install and update the package as well as a link to pypi._


##### [PyPi](https://pypi.org/project/CompactObject-TOV/)



1. Install package
   ```sh
   pip install CompactObject-TOV
   ```
2. Update package
   ```sh
   pip install CompactObject-TOV --upgrade
   ```

<!-- LICENSE -->
## License

Distributed under the MIT License. See `LICENSE.txt` for more information.

<p align="right">(<a href="#readme-top">back to top</a>)</p>


<!-- CONTACT -->
## Contact

* Chun Huang - chun.h@wustl.edu
* Nicole Osborn - n.osborn@wustl.edu
* Nathan Whitsett - whitsett.n@wustl.edu

Project Link: [[https://github.com/ChunHuangPhy/EoS_inference](https://github.com/ChunHuangPhy/EoS_inference)]


[![DOI](https://zenodo.org/badge/doi/10.5281/zenodo.8145167.svg)](http://dx.doi.org/10.5281/zenodo..8145167)


<p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- ACKNOWLEDGMENTS -->
## Acknowledgments

Use this space to list resources you find helpful and would like to give credit to. I've included a few of my favorites to kick things off!

* [Code Astro](https://github.com/semaphoreP/codeastro)
* [Choose an Open Source License](https://choosealicense.com)
* [Read Me Template](https://github.com/othneildrew/Best-README-Template)

<p align="right">(<a href="#readme-top">back to top</a>)</p>
